<template>
  <div class="list-user">
    <ListUser :listUser="listUser" @on-delete="getList()" />
  </div>
</template>

<script>
import axios from "axios";
import { BASE_URL } from "~/constants/constants.js";
import ListUser from "../../components/User/ListUser.vue";

export default {
  name: "UserPage",
  components: {
    ListUser,
  },

  data() {
    return {
      listUser: [],
    };
  },

  computed: {
    BASE_URL() {
      return BASE_URL;
    },
  },

  mounted() {
    this.getList();
  },

  methods: {
    /**
     *  Get list user
     *  @param id
     */
    getList() {
      axios
        .get(this.BASE_URL)
        .then((response) => {
          this.listUser = response.data;
        })
        .catch(function (error) {
          console.log(error);
        });
    },
  },
};
</script>


<style scoped>
.list-user {
  padding: 90px 20px;
  width: 100%;
}
</style>